Bug 1406796

Summary: RFE: Expand LUKS coverage to all block device backend types (RBD, Gluster, iSCSI & NFS)
Product: Red Hat Enterprise Linux 7 Reporter: Daniel Berrangé <berrange>
Component: libvirtAssignee: Peter Krempa <pkrempa>
Status: CLOSED WONTFIX QA Contact: yisun
Severity: medium Docs Contact:
Priority: high    
Version: 7.4CC: aliang, areis, brault, coli, dyuan, eharney, gcharot, hachen, hpopal, jliberma, jsuchane, kchamart, lmen, lmiksik, lolyu, michen, mtessun, ngu, nlevine, pgrist, pingl, timao, tumeya, xuwei, xuzhang
Target Milestone: rcKeywords: FutureFeature
Target Release: 7.4   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: epm-rr
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1518998 1631239 (view as bug list) Environment:
Last Closed: 2019-04-09 12:21:10 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 760547    
Bug Blocks: 1305022, 1352501, 1500889, 1500891, 1518616, 1230405, 1305024, 1336045, 1518998, 1631239, 1636224    

Description Daniel Berrangé 2016-12-21 14:09:21 UTC
Description of problem:
The current LUKS encryption support can only be used in combination with local files or block devices. This needs to be extended to cover usage with the QEMU native RBD, Gluster, iSCSI, NFS backends which don't expose any file in the host. It should already be possible to enable this at the QEMU level, so it should be a matter of just wiring up libvirt command line generator.

Version-Release number of selected component (if applicable):
libvirt-2.0.0-10.el7

Comment 2 Jiri Belka 2017-02-14 07:36:12 UTC
(In reply to Daniel Berrange from comment #0)
> Description of problem:
> The current LUKS encryption support can only be used in combination with
> local files or block devices. This needs to be extended to cover usage with
> the QEMU native RBD, Gluster, iSCSI, NFS backends which don't expose any
> file in the host. It should already be possible to enable this at the QEMU
> level, so it should be a matter of just wiring up libvirt command line
> generator.
> 
> Version-Release number of selected component (if applicable):
> libvirt-2.0.0-10.el7

Block devices as well? I could not make it working and libvirt docs shows only volume as file example http://libvirt.org/formatstorageencryption.html

So is luks block device supported by libvirt?

Comment 3 Jiri Belka 2017-02-27 08:29:15 UTC
(In reply to Jiri Belka from comment #2)
> (In reply to Daniel Berrange from comment #0)
> > Description of problem:
> > The current LUKS encryption support can only be used in combination with
> > local files or block devices. This needs to be extended to cover usage with
> > the QEMU native RBD, Gluster, iSCSI, NFS backends which don't expose any
> > file in the host. It should already be possible to enable this at the QEMU
> > level, so it should be a matter of just wiring up libvirt command line
> > generator.
> > 
> > Version-Release number of selected component (if applicable):
> > libvirt-2.0.0-10.el7
> 
> Block devices as well? I could not make it working and libvirt docs shows
> only volume as file example http://libvirt.org/formatstorageencryption.html
> 
> So is luks block device supported by libvirt?

I meants using a logical storage pool in libvirt.

Comment 14 Jaroslav Suchanek 2019-04-09 12:21:10 UTC
This feature will be finished in the next major release of RHEL. The clone is bug 1518998.